<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Admin_DPClassProInfo.aspx.cs" Inherits="TW.UI.Admin.Admin_DPClassProInfo" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title></title>
<link href="css/default.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../js/jquery-1.10.2.min.js"></script>
<script type="text/javascript" src="../js/public.js"></script>
<script type="text/javascript" src="../js/My97DatePicker/WdatePicker.js"></script>
<script type="text/javascript" src="../js/artDialog/artDialog.js?skin=default"></script>
<script type="text/javascript" src="../js/artDialog/plugins/iframeTools.js"></script>
<script type="text/javascript" src="../js/kindeditor/kindeditor-min.js"></script>
<script type="text/javascript" src="/js/FancyZoom/FancyZoom.js"></script>
<script type="text/javascript" src="/js/FancyZoom/FancyZoomHTML.js"></script>
<script type="text/javascript">
    $(function () {
        $("input[name='rdolstDP_ClsProInfoType'][type='radio']").click(function () {
            var clsProInfoType = $(this).val();
            var clsprolen = $("input[type='text'][name='clsprotit']").length;
            if (clsProInfoType == 0) {
                if (clsprolen > 2) {
                    var ii = 0;
                    $("#clsprotab tr").each(function () {
                        if (ii > 2) {
                            $(this).remove();
                        }
                        ii++;
                    });
                }
            }
        });
    });
    function addclspro() {
        var clsprotit = $("#clsprotit").val();
        if (clsprotit == "") {
            alert("请输入分类名称");
            $("#clsprotit").focus();
            return false;
        }
        if ($("input[type='text'][name='clsprotit'][value='" + clsprotit + "']").length > 0) {
            alert("已添加相同分类名称");
            $("#clsprotit").focus();
            return false;
        }
        var clsProInfoType = $("input[name='rdolstDP_ClsProInfoType'][type='radio']:checked").val();
        var clsprolen = $("input[type='text'][name='clsprotit']").length;
        if (clsProInfoType == 0) {
            if (clsprolen >= 2) {
                alert("该显示类型最多只能添加2个");
                return false;
            }
        }
        else if (clsProInfoType == 1) 
        {
            if (clsprolen >= 4) {
                alert("该显示类型最多只能添加4个");
                return false;
            }
        }
        else 
        {
            alert("显示类型参数错误");
            return false;
        }

        $("#clsprotab").append("<tr><td><input type=\"text\" value=\"" + clsprotit + "\" name=\"clsprotit\"/></td><td width=\"60%\" id=\"clspro" + (clsprolen + 1) + "\"></td><td><a onclick=\"KyoWin('添加商品','/admin/Admin_ProductList.aspx?act=addpro&inhtml='+$(this).parent().prev().attr('id')+'');\">添加商品</a>&nbsp;<a onclick=\"delclspro(this);\">删除</a></td></tr>");
        $("#clsprotit").val("");
        eachclspro();
    }
    function delclspro(obj) {
        $(obj).parent().parent().remove();
        eachclspro();
    }
    function chksub() {
        var dP_ClsProInfoTit = $("#txtDP_ClsProInfoTit").val();
        if (dP_ClsProInfoTit == "") {
            alert("分类信息块<%=idx%>标题不能为空");
            $("#txtDP_ClsProInfoTit").focus();
            return false;
        }
        var clsProInfoType = $("input[name='rdolstDP_ClsProInfoType'][type='radio']:checked").val();
        if (clsProInfoType != 0 && clsProInfoType != 1) {
            alert("显示类型参数错误");
            return false;
        }

        var clsprolen = $("input[type='text'][name='clsprotit']").length;
        if (clsprolen == 0) {
            alert("分类商品信息不能为空");
            return false;
        }

        if (clsProInfoType == 0 && clsprolen > 2) {
            alert("分类商品信息不能大于2条");
            return false;
        } else if (clsProInfoType == 1 && clsprolen > 4) {
            alert("分类商品信息不能大于4条");
            return false;
        }

        var ret = true;

        var ii = 1;
        var clsprotitstr="";
        $("input[type='text'][name='clsprotit']").each(function () {
            var clsprotitv = $.trim($(this).val());
            if (clsprotitv == "") {
                alert("分类商品信息第行" + ii + "名称不能为空");
                $(this).focus();
                ret = false;
                return false;
            }
            var thisprolen = $(this).parent().next().find("input[type='hidden'][name='clspro" + ii + "']").length;
            if (thisprolen == 0) {
                alert("分类商品信息’" + clsprotitv + "‘商品不能为空");
                ret = false;
                return false;
            }
            ii++;
            clsprotitstr += clsprotitv + ",";
        });
        if (ret == false) {
            return ret;
        }
        clsprotitstr = clsprotitstr.substr(0, clsprotitstr.length - 1);

        var clsprotitary = clsprotitstr.split(",");
        for (var i = 0; i < clsprotitary.length; i++) {
            var oprtclsprotitary = clsprotitstr.split(",");
            oprtclsprotitary.splice(i, 1);
            for (var j = 0; j < oprtclsprotitary.length; j++) {
                if (oprtclsprotitary[j] == clsprotitary[i]) {
                    alert("分类商品信息第行" + (i + 1 + 1) + "与第" + (i + 1) + "行名称重复");
                    $("input[type='text'][name='clsprotit']:eq(" + (i+1) + ")").focus();
                    ret = false;
                    return false;
                }
            }
        }
        if (ret == false) {
            return ret;
        }

        return ret;
    }
    function eachclspro() {
        var ii = 1;
        $("#clsprotab input[name='clsprotit']").each(function () {
            $(this).parent().next().attr("id", "clspro" + ii);
            $(this).parent().next().find("input[type='hidden']").attr("name", "clspro" + ii);
            ii++;
        });
    }
</script>
</head>
<body onload="setupZoom();">
<form id="form1" runat="server">
<div class="nav"><h1>分类信息块</h1></div>

<div class="cont">

<div class="opera">
    <table class="seletable">
        
        <tr>
            <td>
            </td>
            <td><font color=red>注：该功能用于首页3块分类信息块管理，从上往下按顺序(1-3)，示例图：<a href="/silitu/sy3spxx.png"><img src="images/tu1.gif" /></a></font>
            </td>
        </tr>
        <tr>
            <td>
            </td>
            <td>
                <input id="Button1" type="button" value="分类信息块1" onclick="window.location.href='?idx=1';" class="btnclsinfo<%=idx == 1 ? " on" : ""%>" />
                <input id="Button2" type="button" value="分类信息块2" onclick="window.location.href='?idx=2';" class="btnclsinfo<%=idx == 2 ? " on" : ""%>" />
                <input id="Button4" type="button" value="分类信息块3" onclick="window.location.href='?idx=3';" class="btnclsinfo<%=idx == 3 ? " on" : ""%>" />
                <input id="Button3" type="button" value="查看前台页面" onclick="window.open('/');" class="btn1 btn111" />
                <asp:Button ID="btnSave" runat="server" Text="批量保存" CssClass="btn1 btn111" OnClientClick="return chksub();" onclick="btnSave_Click" />
            </td>
        </tr>
    </table>
</div>

<table class="table2">
    <tr>
        <th>
            分类信息块<%=idx%>标题：
        </th>
        <td>
            <asp:TextBox ID="txtDP_ClsProInfoTit" runat="server"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <th>显示类型：</th>
        <td>
            <asp:RadioButtonList ID="rdolstDP_ClsProInfoType" runat="server" RepeatDirection="Horizontal" 
                RepeatLayout="Flow">
                <asp:ListItem Selected="True" Value="0">一行一个，最多添加2个</asp:ListItem>
                <asp:ListItem Value="1">一行两个，最多添加4个</asp:ListItem>
            </asp:RadioButtonList>
        </td>
    </tr>
    <tr>
        <th>分类商品信息：</th>
        <td>
            分类名称：<input type="text" id="clsprotit" />
            <input type="button" id="btnaddprotit" class="btn1 btn111" value="添加" onclick="addclspro();" /><br /><br />
            <table class="table1" id="clsprotab">
                <tr>
                    <td>名称</td>
                    <td>商品</td>
                    <td>操作</td>
                </tr>
                <asp:Literal ID="litClsProInfoCont" runat="server"></asp:Literal>
            </table>
        </td>
    </tr>

</table>



</div>

</form>

<script type="text/javascript">
    var oTab = $('.table1')[0];
    var oldBgColor = '';
    var i = 0;
    for (i = 0; i < oTab.tBodies[0].rows.length; i++) {
        oTab.tBodies[0].rows[i].style.background = i % 2 ? '#ffffff' : 'url(images/line2.png) repeat-x';
        oTab.tBodies[0].rows[i].onmouseover = function () {
            oldBgColor = this.style.background;
            this.style.background = '#ffffd4 url(images/line.png) repeat-x';
        };
        oTab.tBodies[0].rows[i].onmouseout = function () {
            this.style.background = oldBgColor;
        };
    }
</script>
</body>
</html>
